post
/v4/campaign-lists/{owner}/{name}/remove
Remove the provided campaign IDs from a list. If the list becomes empty, it is deleted. Requires the owner's JWT or API key.
Path parameters
ownerstringrequired
namestringrequired
Request body
object
campaignIdsstring | object[]requiredCampaign IDs to include in the list. Each entry is either an internal hash (`Campaign.id`) or a `{ distributionChain, campaignId }` composite.
distributionChainnumberDistribution chain IDcampaignIdstringOnchain campaign IDResponses
200Response for status 200
Schema
object
ownerstringrequired
namestringrequired
campaignIdsstring[]required
sizenumberrequired
Example
{
"owner": "string",
"name": "string",
"campaignIds": [
"string"
],
"size": 0
}post
https://api.merkl.xyz/v4/campaign-lists/{owner}/{name}/removecurl -X POST "https://api.merkl.xyz/v4/campaign-lists/{owner}/{name}/remove" \
-H "Content-Type: application/json" \
-d '{ "campaignIds": [ "string" ] }'Current params
{
"body": {
"campaignIds": [
"string"
]
}
}Fill the required path parameters owner, name to send.Live request — this will call https://api.merkl.xyz/ for real.